<style>
.tgl {
	width:70px;
}
table td {
    vertical-align: middle;
    padding:2px;
   
}
</style>
<label style="font-weight:bold;">DATA RETURN</label>
<div class="ui-layout-content ui-widget-content-panel" >  
<table>
<tr>
<td>NOMOR/TGL RETURN</td><td>:</td>
<input type="hidden" id="id_data_in_hdr_return" />
<td><input id="doc_in_no_return" style="text-transform: uppercase;" value="" /></td>
<td colspan="2"><input class="tgl" id="doc_in_date_return" placeholder="YYYY-MM-DD" value=""/> 
<button id="btn_save_memo_bahanpenolong">SAVE</button>
</td>
</tr>
</table>
<input type="hidden" id="id_memo" value="" />
</div>
<label style="font-weight:bold;">DATA BARANG</label>
<div class="ui-layout-content ui-widget-content-panel" > 
	<table>
		<tr>
			<td>PART NO</td><td>:</td><td><input id="part_no" /></td>
			<td><input style="width:220px" id="part_name" readonly="readonly" placeholder="PARTNAME"/></td>
			<td>
			</td>
		</tr>
		<tr>
			<td>JML BARANG</td><td>:</td>
			<td  colspan="2"><input id="qty" class="tgl" /></td>
			<td colspan="2">
			</td>
			
		</tr>
	</table>
	<button id="btn_add_memodtl_bahanpenolong">ADD</button><button id="btn_save_memodtl_bahanpenolong">SAVE</button><button id="btn_delete_memodtl_bahanpenolong">DEL</button>
</div>
<input type="hidden" id="id_bp_out_dtl" />
<table id="tbl_return_update_dtl"></table> <div id="ptbl_return_update_dtl"></div>
<script type="text/javascript">
    $(document).ready(function(){
		
		var currentDate = new Date(); 
		var datesetopt = {
			showOn: "button",
			dateFormat: 'yy-mm-dd'
		};
		
		$("#doc_in_date_return").datepicker(datesetopt);
		
		jQuery("#tbl_return_update_dtl").jqGrid({
			url:'<?php echo base_url().'settings/ct_barangbahanpenolong/data_bahanpenolong_out_memo'; ?>',
			mtype : "post",
			postData:{'q':'1', doc_out_to:function(){ return '3';}, 
			id_memo:function(){ return $("#id_memo").val() }
			
			},
			datatype: "json",
			colNames:['id_bp_out_dtl','id_memo_bp'
			,'part_no'
			,'part_name'
			,'qty'
			,'uom','price','nilai','netto','jmkemas','jnkemas','doc_out_to','doc_no','doc_date','hs_code','status_data'
			
			],
			colModel:[
				{name:'id_bp_out_dtl',index:'id_bp_out_dtl', width:139, hidden:true},
				{name:'id_memo_bp',index:'id_memo_bp', width:139, hidden:true},
				{name:'part_no',index:'part_no', width:139, hidden:false},
				{name:'part_name',index:'part_name', width:159, hidden:false},
				{name:'qty',index:'qty', width:77, hidden:false, align:'right'},
				{name:'uom',index:'uom', width:77, hidden:false},
				{name:'price',index:'price', width:103, hidden:false, align:'right'},
				{name:'hargaxqty',index:'hargaxqty', width:103, hidden:false, align:'right'},
				{name:'netto',index:'netto', width:103, hidden:false, align:'right'},
				{name:'jmkemas',index:'jmkemas', width:103, hidden:false, align:'right'},
				{name:'jnkemas',index:'jnkemas', width:103, hidden:false},
				{name:'doc_out_to',index:'doc_out_to', width:139, hidden:true},
				{name:'doc_no',index:'doc_no', width:139, hidden:false},
				{name:'doc_date',index:'doc_date', width:103, hidden:false},
				{name:'hs_kode',index:'hs_kode', width:139, hidden:false},
				{name:'status_data',index:'status_data', width:139, hidden:false}
				
				
			],
			rowNum:10,
			rowList:[10,20,30],
			pager: '#ptbl_return_update_dtl',
			sortname: 'id_bp_out_dtl',
			viewrecords: true,
			sortorder: "desc",
			width: '',
			height:160,
			jsonReader: { repeatitems : false },
			caption:"DATA ITEM",
			rownumbers: true,
			shrinkToFit: false,
			afterInsertRow: function(){
				
				
			},
			onSelectRow: function(id){
				var ret = jQuery("#tbl_return_update_dtl").jqGrid('getRowData',id);
				$("#id_bp_out_dtl").val(ret.id_bp_out_dtl);
				$("#part_no").val(ret.part_no);
				$("#part_name").val(ret.part_name);
				$("#uom").val(ret.uom);
				$("#hs_code").val(ret.hs_kode);
				$("#qty").val(ret.qty);
				$("#price").val(ret.price);
				$("#jmkemas").val(ret.jmkemas);
				$("#jnkemas").val(ret.jnkemas);
				$("#netto").val(ret.netto);
				
			},			
			gridComplete: function(){
				var rowIDs = jQuery("#tbl_return_update_dtl").getDataIDs(); 
				var rowData = $("#tbl_return_update_dtl").getRowData();
			
				for (var i = 0; i < rowData.length; i++) 
				{
				   var trElement = jQuery("#"+ rowIDs[i],jQuery('#tbl_return_update_dtl'));
				   
					switch (rowData[i].status_data) {
						
						case '':
						   trElement.css({ "text-decoration": "line-through"});
						break;
						case 'CANCEL':
						   trElement.css({ "text-decoration": "line-through"});
						break;
						
						
					}
				}
			}, 
		}); 
		
		jQuery("#tbl_return_update_dtl").jqGrid('navGrid','#ptbl_return_update_dtl',{del:false,add:false,edit:false},{},{},{},{multipleSearch:false});
		jQuery("#tbl_return_update_dtl").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true, defaultSearch: 'cn', ignoreCase: true});
		
		jQuery("#tbl_return_update_dtl").jqGrid('bindKeys', {"onEnter":function( rowid ) { 
			//alert("You enter a row with id:"+rowid)
			} 
		});
		
		
		/*
		
		var currentDate = new Date(); 
		var datesetopt = {
			showOn: "button",
			//buttonImageOnly: true,
			//buttonImage: "<?php echo base_url()."assets/images/icons/16x16/timespan.png"  ?>",
			//buttonText: "Tanggalan",
			dateFormat: 'yy-mm-dd'
		};
		
		$("#tanggal_memo").datepicker(datesetopt);
		$("#harga_penyerahan").number( true, 2,'.',' ');
		$("#qty").number( true, 4,'.',' ');
		$("#jmkemas").number( true, 2,'.',' ');
		$("#bruto").number( true, 2,'.',' ');
		$("#price").number( true, 2,'.',' ');
		$("#netto").number( true, 2,'.',' ');
		
		$("#tipe_out").val('<?php echo $tipe_out; ?>');
		
		$("#kode_pembeli").autocomplete('<?php echo base_url().'settings/ct_barangbahanpenolong/autocomplete_supplier'; ?>', {
			dataType: 'json',
			max: 50,
			width:400,
			parse: function(data) {
				var rows = new Array();
				data = data;
				if(data.length == 0){
					$("#kode_pembeli").val('');
					return false;
				}
				for(var i=0; i<data.length; i++){
					rows[i] = { data:data[i],
						value:data[i].id,
						result:data[i].supplier_name
					};
				}
				return rows;
			},
			formatItem: function(row, i, max) {
				return row.subcode_as400+ ', ' + row.supplier_name+ ', ' + row.NPWP;
			},
			formatResult: function (row, i, max) {eval("row=" + row); return row.subcode_as400;},

			extraParams: {
				name_startsWith: function () { return $("#kode_pembeli").val() }
			},
			cache: false
		}).flushCache();

		$("#kode_pembeli").result(function(event, row, formatted) {
			$("#kode_pembeli").val(row.subcode_as400);
			$("#nama_pembeli").val(row.supplier_name);
			$("#npwp_pembeli").val(row.NPWP);
			$("#harga_penyerahan").focus();
			
		});
		
		$("#part_no").autocomplete('<?php echo base_url().'settings/ct_barangbahanpenolong/autocomplete_barang'; ?>', {
			dataType: 'json',
			max: 50,
			width:400,
			parse: function(data) {
				var rows = new Array();
				data = data;
				if(data.length == 0){
					$("#part_no").val('');
					return false;
				}
				for(var i=0; i<data.length; i++){
					rows[i] = { data:data[i],
						value:data[i].part_no,
						result:data[i].part_name
					};
				}
				return rows;
			},
			formatItem: function(row, i, max) {
				return row.part_no+ ', ' + row.part_name+ ', ' + row.part_name + ', ' + row.hs_code + ', ' + row.kode_barang;
			},
			formatResult: function (row, i, max) {eval("row=" + row); return row.subcode_as400;},

			extraParams: {
				name_startsWith: function () { return $("#part_no").val() }
			},
			cache: false
		}).flushCache();

		$("#part_no").result(function(event, row, formatted) {
			$("#part_no").val(row.part_no);
			$("#part_name").val(row.part_name);
			//$("#part_name_customs").val(row.part_name_customs);
			$("#hs_code").val(row.hs_code);
			$("#uom").val(row.uom);
			$("#qty").focus();
			
		});
		
		$("#btn_save_memo_bahanpenolong").button().click(function(){
			var cmd = 'CREATE'
			if ($("#id_memo").val() != ''){
				cmd = 'UPDATE'
				
			}
			var form_data = {
				nomor_memo : $("#nomor_memo").val().toUpperCase()
				,tanggal_memo  : $("#tanggal_memo").val()
				,tipe_out  : $("#tipe_out").val()
				,kode_pembeli  : $("#kode_pembeli").val()
				,harga_penyerahan  : $("#harga_penyerahan").val()
				,bruto:$("#bruto").val()
				,kdval:$("#kdval").val().toUpperCase()
				,id_memo:$("#id_memo").val()
				,command:cmd 
				
			}
			
			$("#dlg_bahanpenolong_memo_save").dialog( "destroy" );
			$(".dlg_bahanpenolong_memo_save_cl").remove();
			$("body").append('<div id="dlg_bahanpenolong_memo_save" title="Warning" class="dlg_bahanpenolong_memo_save_cl"><p>Apakah anda akan melakukan ' + cmd + ' data memo ini?!?</p><br /></div>');
			$("#dlg_bahanpenolong_memo_save").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'settings/ct_barangbahanpenolong/update_memo_bahanpenolong'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_bahanpenolong_memo_save").dialog("close");
								$('#dlg_bahanpenolong_memo_save').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_save_cl").remove(); 
								$('#tbl_bahanpenolong_memo').trigger('reloadGrid');
								$("#id_memo").val(msg.id_memo);
								$("#part_no").focus();
								$("body").append('<div id="dlg_bahanpenolong_memo_save" title="Warning" class="dlg_bahanpenolong_memo_save_cl"></div>');
			

							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_bahanpenolong_memo_save").dialog("close");
								$('#dlg_bahanpenolong_memo_save').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_save_cl").remove(); 

							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_bahanpenolong_memo_save" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_bahanpenolong_memo_save').dialog("destroy"); 
					$(".dlg_bahanpenolong_memo_save_cl").remove(); 
					$("body").append('<div id="dlg_bahanpenolong_memo_save" title="Warning" class="dlg_bahanpenolong_memo_save_cl"><p>Apakah anda akan melakukan insert part hs ini?!?</p><br /></div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});
			
		});
		          
		$("#btn_add_memodtl_bahanpenolong").button().click(function(){
			if($("#id_memo").val() == ''){
				alert("SILAHKAN BUAT HEADER DAHULU, ATAU SAVE HEADER DAHULU");
				return false;
			}
			
			
			$("#id_bp_out_dtl").val('');
			$("#part_no").val('');
			$("#part_name").val('');
			$("#kode_barang").val('');
			$("#uom").val('');
			$("#hs_code").val('');
			$("#qty").val('');
			$("#price").val('');
			$("#jmkemas").val('');
			$("#jnkemas").val('');
			$("#netto").val('');
			$("#part_no").focus();
			
			
		});
		
		$("#btn_save_memodtl_bahanpenolong").button().click(function(){
			if($("#id_memo").val() == ''){
				alert("SILAHKAN BUAT HEADER DAHULU, ATAU SAVE HEADER DAHULU");
				return false;
			}
			
			if($("#id_bp_out_dtl").val() == ''){
				cmd = 'CREATE'
			} else {
				cmd = 'UPDATE'				
			}
			
			
			var form_data = {
				part_no : $("#part_no").val()
				,part_name  : $("#part_name").val()
				,hs_code  : $("#hs_code").val()
				,uom  : $("#uom").val()
				,qty  : $("#qty").val()
				,price:$("#price").val()
				,jmkemas:$("#jmkemas").val()
				,jnkemas:$("#jnkemas").val().toUpperCase()
				,netto:$("#netto").val()
				,id_memo:$("#id_memo").val()
				,id_bp_out_dtl:$("#id_bp_out_dtl").val()
				,command:cmd 
				
			}
			
			$("#dlg_bahanpenolong_memo_dtl_save").dialog( "destroy" );
			$(".dlg_bahanpenolong_memo_dtl_save_cl").remove();
			$("body").append('<div id="dlg_bahanpenolong_memo_dtl_save" title="Warning" class="dlg_bahanpenolong_memo_dtl_save_cl"><p>Apakah anda akan melakukan ' + cmd + ' data memo ini?!?</p><br /></div>');
			$("#dlg_bahanpenolong_memo_dtl_save").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'settings/ct_barangbahanpenolong/update_memo_bahanpenolong_dtl'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_bahanpenolong_memo_dtl_save").dialog("close");
								$('#dlg_bahanpenolong_memo_dtl_save').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_dtl_save_cl").remove(); 
								$('#tbl_bahanpenolong_memo').trigger('reloadGrid');
								$("#id_bp_out_dtl").val(msg.id_bp_out_dtl);
								if ($.trim(msg.nilinv) != ''){
									$("#harga_penyerahan").val(msg.nilinv);
								}	
							
								$('#tbl_bahanpenolong_memo_dtl').trigger('reloadGrid');
								$("#part_no").focus();
								$("body").append('<div id="dlg_bahanpenolong_memo_dtl_save" title="Warning" class="dlg_bahanpenolong_memo_dtl_save_cl"></div>');
			

							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_bahanpenolong_memo_dtl_save").dialog("close");
								$('#dlg_bahanpenolong_memo_dtl_save').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_dtl_save_cl").remove(); 

							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_bahanpenolong_memo_dtl_save" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_bahanpenolong_memo_dtl_save').dialog("destroy"); 
					$(".dlg_bahanpenolong_memo_dtl_save_cl").remove(); 
					$("body").append('<div id="dlg_bahanpenolong_memo_dtl_save" title="Warning" class="dlg_bahanpenolong_memo_dtl_save_cl"><p>Apakah anda akan melakukan insert part hs ini?!?</p><br /></div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});
			
			
		});
		
		jQuery("#tbl_bahanpenolong_memo_dtl").jqGrid({
			url:'<?php echo base_url().'settings/ct_barangbahanpenolong/data_bahanpenolong_out_memo'; ?>',
			mtype : "post",
			postData:{'q':'1', doc_out_to:function(){ return '3';}, 
			id_memo:function(){ return $("#id_memo").val() }
			
			},
			datatype: "json",
			colNames:['id_bp_out_dtl','id_memo_bp'
			,'part_no'
			,'part_name'
			,'qty'
			,'uom','price','nilai','netto','jmkemas','jnkemas','doc_out_to','doc_no','doc_date','hs_code','status_data'
			
			],
			colModel:[
				{name:'id_bp_out_dtl',index:'id_bp_out_dtl', width:139, hidden:true},
				{name:'id_memo_bp',index:'id_memo_bp', width:139, hidden:true},
				{name:'part_no',index:'part_no', width:139, hidden:false},
				{name:'part_name',index:'part_name', width:159, hidden:false},
				{name:'qty',index:'qty', width:77, hidden:false, align:'right'},
				{name:'uom',index:'uom', width:77, hidden:false},
				{name:'price',index:'price', width:103, hidden:false, align:'right'},
				{name:'hargaxqty',index:'hargaxqty', width:103, hidden:false, align:'right'},
				{name:'netto',index:'netto', width:103, hidden:false, align:'right'},
				{name:'jmkemas',index:'jmkemas', width:103, hidden:false, align:'right'},
				{name:'jnkemas',index:'jnkemas', width:103, hidden:false},
				{name:'doc_out_to',index:'doc_out_to', width:139, hidden:true},
				{name:'doc_no',index:'doc_no', width:139, hidden:false},
				{name:'doc_date',index:'doc_date', width:103, hidden:false},
				{name:'hs_kode',index:'hs_kode', width:139, hidden:false},
				{name:'status_data',index:'status_data', width:139, hidden:false}
				
				
			],
			rowNum:10,
			rowList:[10,20,30],
			pager: '#ptbl_bahanpenolong_memo_dtl',
			sortname: 'id_bp_out_dtl',
			viewrecords: true,
			sortorder: "desc",
			width: '',
			height:160,
			jsonReader: { repeatitems : false },
			caption:"DATA ITEM",
			rownumbers: true,
			shrinkToFit: false,
			afterInsertRow: function(){
				
				
			},
			onSelectRow: function(id){
				var ret = jQuery("#tbl_bahanpenolong_memo_dtl").jqGrid('getRowData',id);
				$("#id_bp_out_dtl").val(ret.id_bp_out_dtl);
				$("#part_no").val(ret.part_no);
				$("#part_name").val(ret.part_name);
				$("#uom").val(ret.uom);
				$("#hs_code").val(ret.hs_kode);
				$("#qty").val(ret.qty);
				$("#price").val(ret.price);
				$("#jmkemas").val(ret.jmkemas);
				$("#jnkemas").val(ret.jnkemas);
				$("#netto").val(ret.netto);
				
			},			
			gridComplete: function(){
				var rowIDs = jQuery("#tbl_bahanpenolong_memo_dtl").getDataIDs(); 
				var rowData = $("#tbl_bahanpenolong_memo_dtl").getRowData();
			
				for (var i = 0; i < rowData.length; i++) 
				{
				   var trElement = jQuery("#"+ rowIDs[i],jQuery('#tbl_bahanpenolong_memo_dtl'));
				   
					switch (rowData[i].status_data) {
						
						case '':
						   trElement.css({ "text-decoration": "line-through"});
						break;
						case 'CANCEL':
						   trElement.css({ "text-decoration": "line-through"});
						break;
						
						
					}
				}
			}, 
		}); 
		
		jQuery("#tbl_bahanpenolong_memo_dtl").jqGrid('navGrid','#ptbl_bahanpenolong_memo_dtl',{del:false,add:false,edit:false},{},{},{},{multipleSearch:false});
		jQuery("#tbl_bahanpenolong_memo_dtl").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true, defaultSearch: 'cn', ignoreCase: true});
		
		jQuery("#tbl_bahanpenolong_memo_dtl").jqGrid('bindKeys', {"onEnter":function( rowid ) { 
			//alert("You enter a row with id:"+rowid)
			} 
		});
		
		$("#btn_delete_memodtl_bahanpenolong").button().click(function(){
			if($("#id_memo").val() == ''){
				alert("SILAHKAN BUAT HEADER DAHULU, ATAU SAVE HEADER DAHULU");
				return false;
			}
			var cmd = 'DELETE'
				var form_data = {
				part_no : $("#part_no").val()
				,part_name  : $("#part_name").val()
				,hs_code  : $("#hs_code").val()
				,uom  : $("#uom").val()
				,qty  : $("#qty").val()
				,price:$("#price").val()
				,jmkemas:$("#jmkemas").val()
				,jnkemas:$("#jnkemas").val().toUpperCase()
				,netto:$("#netto").val()
				,id_memo:$("#id_memo").val()
				,id_bp_out_dtl:$("#id_bp_out_dtl").val()
				,command:cmd 
				
			}
			
			$("#dlg_bahanpenolong_memo_dtl_del").dialog( "destroy" );
			$(".dlg_bahanpenolong_memo_dtl_del_cl").remove();
			$("body").append('<div id="dlg_bahanpenolong_memo_dtl_del" title="Warning" class="dlg_bahanpenolong_memo_dtl_del_cl"><p>Apakah anda akan melakukan ' + cmd + ' data memo ini?!?</p><br /></div>');
			$("#dlg_bahanpenolong_memo_dtl_del").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'settings/ct_barangbahanpenolong/update_memo_bahanpenolong_dtl'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_bahanpenolong_memo_dtl_del").dialog("close");
								$('#dlg_bahanpenolong_memo_dtl_del').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_dtl_del_cl").remove(); 
								$('#tbl_bahanpenolong_memo').trigger('reloadGrid');
								$('#tbl_bahanpenolong_memo_dtl').trigger('reloadGrid');
								$("#id_bp_out_dtl").val(msg.id_bp_out_dtl);
								if ($.trim(msg.nilinv) != ''){
									$("#harga_penyerahan").val(msg.nilinv);
								}	
								
								$("body").append('<div id="dlg_bahanpenolong_memo_dtl_del" title="Warning" class="dlg_bahanpenolong_memo_dtl_del_cl"></div>');
			

							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_bahanpenolong_memo_dtl_del").dialog("close");
								$('#dlg_bahanpenolong_memo_dtl_del').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_dtl_del_cl").remove(); 

							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_bahanpenolong_memo_dtl_del" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_bahanpenolong_memo_dtl_del').dialog("destroy"); 
					$(".dlg_bahanpenolong_memo_dtl_del_cl").remove(); 
					$("body").append('<div id="dlg_bahanpenolong_memo_dtl_del" title="Warning" class="dlg_bahanpenolong_memo_dtl_del_cl"><p>Apakah anda akan melakukan insert part hs ini?!?</p><br /></div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});
			
			
		});
		
		$("#btn_del_memo_bahanpenolong").button().click(function(){
			var cmd = 'DELETE'
			var form_data = {
				nomor_memo : $("#nomor_memo").val().toUpperCase()
				,tanggal_memo  : $("#tanggal_memo").val()
				,tipe_out  : $("#tipe_out").val()
				,kode_pembeli  : $("#kode_pembeli").val()
				,harga_penyerahan  : $("#harga_penyerahan").val()
				,bruto:$("#bruto").val()
				,kdval:$("#kdval").val().toUpperCase()
				,id_memo:$("#id_memo").val()
				,command:cmd 
				
			}
			
			$("#dlg_bahanpenolong_memo_del").dialog( "destroy" );
			$(".dlg_bahanpenolong_memo_del_cl").remove();
			$("body").append('<div id="dlg_bahanpenolong_memo_del" title="Warning" class="dlg_bahanpenolong_memo_del_cl"><p>Apakah anda akan melakukan ' + cmd + ' data memo ini?!?</p><br /></div>');
			$("#dlg_bahanpenolong_memo_del").dialog({
				height: 200,
				width: 250,
				modal: true,
				hide: 'Slide',
				autoOpen: 'false',
				buttons: {
					"CONFIRM": function() {
					$.ajax({
						url : "<?php echo base_url().'settings/ct_barangbahanpenolong/update_memo_bahanpenolong'; ?>",
						type : 'POST',
						dataType: 'json',
						data : form_data,
						success: function(msg){
							if (msg.sts == '00'){
								alert(msg.desc);
								$("#dlg_bahanpenolong_memo_del").dialog("close");
								$('#dlg_bahanpenolong_memo_del').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_del_cl").remove(); 
								$('#tbl_bahanpenolong_memo').trigger('reloadGrid');
								$("#id_memo").val(msg.id_memo);
								$("#part_no").focus();
								$("body").append('<div id="dlg_bahanpenolong_memo_del" title="Warning" class="dlg_bahanpenolong_memo_del_cl"></div>');
			

							} else { 
								alert(msg.sts+msg.desc); 
								$("#dlg_bahanpenolong_memo_del").dialog("close");
								$('#dlg_bahanpenolong_memo_del').dialog("destroy"); 
								$(".dlg_bahanpenolong_memo_del_cl").remove(); 

							}
						}
					});
				},
					"CANCEL": function() {
						$( "#dlg_bahanpenolong_memo_del" ).dialog( "close" );

					}
				},
				close : function(){
					$('#dlg_bahanpenolong_memo_del').dialog("destroy"); 
					$(".dlg_bahanpenolong_memo_del_cl").remove(); 
					$("body").append('<div id="dlg_bahanpenolong_memo_del" title="Warning" class="dlg_bahanpenolong_memo_del_cl"><p>Apakah anda akan melakukan insert part hs ini?!?</p><br /></div>');     
					
				},
				open: function(){
					$("body").unblock();
					
				}
			});
			
			
		});
		*/
		
	});
		  	
</script>


	
	